<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.datax.service.data.metadata.dao.MetadataColumnDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.datax.service.data.metadata.api.entity.MetadataColumnEntity">
        <result column="id" property="id" />
        <result column="source_id" property="sourceId" />
        <result column="table_id" property="tableId" />
        <result column="column_name" property="columnName" />
        <result column="column_comment" property="columnComment" />
        <result column="column_key" property="columnKey" />
        <result column="column_nullable" property="columnNullable" />
        <result column="column_position" property="columnPosition" />
        <result column="data_type" property="dataType" />
        <result column="data_length" property="dataLength" />
        <result column="data_precision" property="dataPrecision" />
        <result column="data_scale" property="dataScale" />
        <result column="data_default" property="dataDefault" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        source_id, table_id, column_name, column_comment, column_key, column_nullable, column_position, data_type, data_length, data_precision, data_scale, data_default
    </sql>

</mapper>
